<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.YhyHeartbeatLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.YhyHeartbeatLog">
        <id column="id" property="id" />
        <result column="data_type" property="dataType" />
        <result column="time_stamp" property="timeStamp" />
        <result column="device_no" property="deviceNo" />
        <result column="device_status" property="deviceStatus" />
        <result column="power_status" property="powerStatus" />
        <result column="remain_power" property="remainPower" />
        <result column="remain_storage_size" property="remainStorageSize" />
        <result column="heartbeat_time" property="heartbeatTime" />
        <result column="device_ver" property="deviceVer" />
        <result column="extend" property="extend" />
        <result column="body" property="body" />
        <result column="created_time" property="createdTime" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, data_type, time_stamp, device_no, device_status, power_status, remain_power, 
        remain_storage_size, heartbeat_time, device_ver, extend, body, created_time, 
        create_time, update_time
    </sql>

</mapper>
